Chris
Cheney
ccheney@debian.org
March 7, 2003
dcop
1

# `dcop`

Console &DCOP; client

    dcop
    --pipe
    --user  user
    --all-users
    --session  session
    --all-sessions
    --list-sessions
    --no-user-time

      application

        object

               function
    arguments

## Description

Console &DCOP; client

## Options

`--pipe`

  Call &DCOP; for each line read from stdin.

  This is roughly equivalent to calling `while read line ; do dcop $line ; done` but because no new `dcop` instance has to be started for each line this is generally much faster, especially for the slower GNU dynamic linkers.

`--user` user

  Connect to the given user's &DCOP; server. This option will ignore the values of the environment vars $`DCOPSERVER` and $`ICEAUTHORITY`, even if they are set.

  If the user has more than one open session, you must also use one of the `--list-sessions`, `--session` or `--all-sessions` command-line options.

`--all-users`

  Send the same &DCOP; call to all users with a running &DCOP; server. Only failed calls to existing &DCOP; servers will generate an error message. If no &DCOP; server is available at all, no error will be generated.

`--session` session

  Send to the given &kde; session. This option can only be used in combination with the `--user` option.

`--all-sessions`

  Send to all sessions found. Only works with the `--user` and `--all-users` options.

`--list-sessions`

  List all active &kde; sessions for a user or all users.

`--no-user-time`

  Don't update the user activity timestamp in the called application (for use in scripts running in the background).

## Environment

`DCOPSERVER`

`ICEAUTHORITY`

## See Also

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

Inside &kde;, you can enter `help:/kdcop` in &konqueror; to see the User Manual for kdcop graphical dcop tool.